# Record TCefPostDataElement

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefPostDataElement = record`

## Description

Structure used to represent a single element in the request post data. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefPostDataElement.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_capi.h">CEF source file: /include/capi/cef_request_capi.h (cef_post_data_element_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `is_read_only: function(self: PCefPostDataElement): Integer; stdcall;`
| `set_to_empty: procedure(self: PCefPostDataElement); stdcall;`
| `set_to_file: procedure(self: PCefPostDataElement; const fileName: PCefString); stdcall;`
| `set_to_bytes: procedure(self: PCefPostDataElement; size: NativeUInt; const bytes: Pointer); stdcall;`
| `get_type: function(self: PCefPostDataElement): TCefPostDataElementType; stdcall;`
| `get_file: function(self: PCefPostDataElement): PCefStringUserFree; stdcall;`
| `get_bytes_count: function(self: PCefPostDataElement): NativeUInt; stdcall;`
| `get_bytes: function(self: PCefPostDataElement; size: NativeUInt; bytes: Pointer): NativeUInt; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `is_read_only: function(self: PCefPostDataElement): Integer; stdcall;`
This item has no description.

| `set_to_empty: procedure(self: PCefPostDataElement); stdcall;`
This item has no description.

| `set_to_file: procedure(self: PCefPostDataElement; const fileName: PCefString); stdcall;`
This item has no description.

| `set_to_bytes: procedure(self: PCefPostDataElement; size: NativeUInt; const bytes: Pointer); stdcall;`
This item has no description.

| `get_type: function(self: PCefPostDataElement): TCefPostDataElementType; stdcall;`
This item has no description.

| `get_file: function(self: PCefPostDataElement): PCefStringUserFree; stdcall;`
This item has no description.

| `get_bytes_count: function(self: PCefPostDataElement): NativeUInt; stdcall;`
This item has no description.

| `get_bytes: function(self: PCefPostDataElement; size: NativeUInt; bytes: Pointer): NativeUInt; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.